commit: 4fa3eac6a3f66aaacfe1893326ee2f881fd1f3b7
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 9 11:06:48 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Mar 9 11:22:26 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fa3eac6
dev-python/humanize: bump to 2.0.0, now requires pytest
Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/humanize/Manifest | 1 +
dev-python/humanize/humanize-2.0.0.ebuild | 35 +++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index 10c841b0d84..5f99be1b3db 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1,2 +1,3 @@
DIST humanize-0.5.1.tar.gz 20507 BLAKE2B
55d7b598b32658b1d4c4741b37b5c33bdc9d63a5a779455e2fb93e1e4c3a0d8fd58e8522ef82734e1ba2b161fd881829373ba3569baffd9ea3271ad7ed3e7568
SHA512
dd7ad7f3c564cc6abcb6b128e50dbea7f19f7f418bfd936aae2472961c53ec71202133c5c2b5b930ef41ef807b51d6ba1210565627ed32c0b41acc0abd32a2d5
DIST humanize-1.0.0.tar.gz 34411 BLAKE2B
dc1d2f3c5db2ddbecccf7c1f9894a7fa7ddbb98a530e971ecc1de2b666a1b3a21e2770f25cefa37029d1d439d03e68bbb5a3496cc2fbd074b8bb427a09f52cf1
SHA512
2e012b7be88d0297301f25ecba7ba8083f5fc6384715a657c815373c6f2742f1429e62363e6e16f1bfc85c41b8ab8d4a361112045414e9aef038c12783df2592
+DIST humanize-2.0.0.tar.gz 38001 BLAKE2B
a2a6a1900bd8c02a1c669429aa12d1ccf906407802d6505ab68609fa87268adcbe0d87be21d7997e71f393dd8496ecd4f99b0e5ff89c6adf1da972cd9b1708dd
SHA512
3bc0a6a42d0a4942d6c0c3f5eb70f57f1132b05ef581099658082b1769eb3040b2484990457811c60134fbaf6267fc4d73f440fc72d84cc0dbfdb5b0be6d8192
diff --git a/dev-python/humanize/humanize-2.0.0.ebuild
b/dev-python/humanize/humanize-2.0.0.ebuild
new file mode 100644
index 00000000000..73ae3e937f0
--- /dev/null
+++ b/dev-python/humanize/humanize-2.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+# The package uses pkg_resources to determine its version
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ # The package uses pkg_resources to determine its version
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}